#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module
%bcond_with	tests	# unit tests (not included in archive)

%define 	module	PasteDeploy
Summary:	Load, configure, and compose WSGI applications and servers
Summary(pl.UTF-8):	Wczytywanie, konfiguracja i łączenie aplikacji i serwerów WSGI
Name:		python-%{module}
Version:	1.5.2
Release:	2
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pastedeploy/
Source0:	https://files.pythonhosted.org/packages/source/P/PasteDeploy/%{module}-%{version}.tar.gz
# Source0-md5:	352b7205c78c8de4987578d19431af3b
# dead
#URL:		http://pythonpaste.org/deploy/
URL:		https://pypi.org/project/PasteDeploy/
%if %{with python2}
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-setuptools >= 0.6-0.a9.1
%if %{with tests}
BuildRequires:	python-nose >= 0.11
%endif
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-setuptools >= 0.6-0.a9.1
%if %{with tests}
BuildRequires:	python3-nose >= 0.11
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-Paste
Requires:	python-modules >= 1:2.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This tool provides code to load WSGI applications and servers from
URIs; these URIs can refer to Python Eggs for INI-style configuration
files. Paste Script provides commands to serve applications based on
this configuration file.

%description -l pl.UTF-8
To narzędzie zawiera kod do wczytywania aplikacji i serwerów WSGI z
URI; URI te mogą odnosić się do pakietów Python Egg dla plików
konfiguracyjnych w stylu INI. Paste Script udostępnia polecenia do
obsługi aplikacji w oparciu o ten plik konfiguracyjny.

%package -n python3-%{module}
Summary:	Load, configure, and compose WSGI applications and servers
Summary(pl.UTF-8):	Wczytywanie, konfiguracja i łączenie aplikacji i serwerów WSGI
Group:		Libraries/Python
Requires:	python3-Paste
Requires:	python3-modules >= 1:3.2

%description -n python3-%{module}
This tool provides code to load WSGI applications and servers from
URIs; these URIs can refer to Python Eggs for INI-style configuration
files. Paste Script provides commands to serve applications based on
this configuration file.

%description -n python3-%{module} -l pl.UTF-8
To narzędzie zawiera kod do wczytywania aplikacji i serwerów WSGI z
URI; URI te mogą odnosić się do pakietów Python Egg dla plików
konfiguracyjnych w stylu INI. Paste Script udostępnia polecenia do
obsługi aplikacji w oparciu o ten plik konfiguracyjny.

%prep
%setup -q -n PasteDeploy-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README docs/*.txt
%{py_sitescriptdir}/paste/deploy
%{py_sitescriptdir}/PasteDeploy-%{version}-py*.egg-info
%{py_sitescriptdir}/PasteDeploy-%{version}-py*-nspkg.pth
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc README docs/*.txt
%{py3_sitescriptdir}/paste/deploy
%{py3_sitescriptdir}/PasteDeploy-%{version}-py*.egg-info
%{py3_sitescriptdir}/PasteDeploy-%{version}-py*-nspkg.pth
%endif
%changelog
* Mon Oct 28 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-PasteDeploy.git;a=log;h=auto/th/python-PasteDeploy-1.5.2-2

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> fe3851d
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sat Jul 21 2018 Jakub Bogusz <qboosh@pld-linux.org> 64806f2
- updated to 1.5.2
- added python3- package

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> a5e8de0
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 343cd99
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d12bc82
- automatic change: use py_build/py_install macros

* Tue Jul 23 2013 Jan Rękorajski <baggins@pld-linux.org> 6517abc
- release 2 (by relup.sh)

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> 6be0d29
- up to 1.5.0

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> f876f2d
- added BR: python-modules, rpm-pythonprov

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 357309a
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 02cbde0
- release 2

* Sun Mar 15 2009 duddits <duddits@pld-linux.org> 0b5881d
- up to 1.3.3

* Fri Feb 06 2009 beorn <beorn@pld-linux.org> 52107ad
- Group name fix

* Wed Nov 12 2008 Elan Ruusamäe <glen@pld-linux.org> 2846cf1
- why rel 0.1?; rel 1

* Fri Sep 14 2007 beorn <beorn@pld-linux.org> fb8f328
- Up to 1.3.1 (how did I miss it?)

* Fri Sep 14 2007 beorn <beorn@pld-linux.org> 7b81556
- Up to 1.3
- Switched to %py_postclean macro

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 90b9ebc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a3388fb
- converted to UTF-8

* Sun Jan 28 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 5af876b
- up to 1.1

* Fri Nov 17 2006 radzio <radzio@pld-linux.org> e3af65e
- up to 1.0

* Sun Apr 16 2006 Jakub Bogusz <qboosh@pld-linux.org> a470b79
- tab

